2019-11-21 15:04 AEDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000176mercuryBugpublic2010-12-20 16:01
Reporterjuliensf 
Assigned Tojuliensf 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000176: incorrect install names on Mac OS X with mmake
DescriptionThe invocation of ml script in a .dep file on Mac OS X is incorrect.
For libmercury_www in extras the install name is set using the following:

-install_name "/Users/<etc etc>/libmercury_www.\$(EXT_FOR_SHARED_LIB)"

The $ sign should *not* be escaped.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000298

juliensf (administrator)

Fix committed.
(See r1.5 of compiler/file_util.m for details.)
+Notes

-Issue History
Date Modified Username Field Change
2010-12-16 01:51 juliensf New Issue
2010-12-16 03:01 juliensf Status new => assigned
2010-12-16 03:01 juliensf Assigned To => juliensf
2010-12-20 16:01 juliensf Note Added: 0000298
2010-12-20 16:01 juliensf Status assigned => resolved
2010-12-20 16:01 juliensf Resolution open => fixed
+Issue History